it-swarm-ja.com

Ubuntu 16.04にlibxcb-randr 1.12をインストールする方法は?

Ubuntu 16.04(16.04.4)ppaには1.11のみが含まれています。しかし、Rustプログラムのコンパイルには、1.12バージョンが必要です。どのように対処しますか?

追伸17.04にはxcb v.1.12が含まれています

1
uptoyou
  1. Libxcb-randr0をアンインストールします。

    Sudo apt remove libxcb-randr0
    
  2. here から公式のUbuntu 17.10リポジトリからlibxcb-randr0(1.12-1ubuntu1)を手動でダウンロードします。

    • Download libxcb-randr0セクションで、OSのアーキテクチャに応じて、赤いAMD64リンクまたはi386リンクのいずれかをクリックします。

    • 近くのミラーを選択して、libxcb-randr0をダウンロードします。

  3. ターミナルを開き、cdを使用して、ダウンロードしたlibxcb-randr0_1.12-1ubuntu1_AMD64.debファイルを含むディレクトリにディレクトリを変更します。

  4. 次のコマンドでlibxcb-randr0_1.12-1ubuntu1_AMD64.debをインストールします。

    Sudo dpkg -i libxcb-randr0_1.12-1ubuntu1_AMD64.deb # the i386 .deb file has a different name  
    
  5. Sudo apt-mark hold libxcb-randr0を実行すると、libxcb-randr0が自動的にインストール、アップグレード、または削除されなくなります。

2
karel